Marine Weather
Marine forecasts of waves and sea temperatures.
Get an API key OpenAPI spec for AI assistants
Full API reference — quickstart, authentication, request limits and attribution.
Marine forecasts of waves and sea temperatures.
Marine Weather Operations
Endpoints
Hourly
Hourly marine forecasts.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 24, maximum 169)
tempunitType: stringTemperature unit: "C", "F" (default "C")
tzType: stringTime zone in response (IANA time zone database names)
historyType: stringHistory: whether to include past 24 hours (1 or 0, default 0)
GET
/api/v1/marine/forecast/hourly/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/marine/forecast/hourly/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'200
{
"forecast": [
{
"peak1DSpectraPeriod": 9.8,
"seaTemp": 27,
"sigSwellHeight": 1.13,
"sigWaveHeight": 1.19,
"swellDir": 178,
"swellPeriod": 8.1,
"swimTemp": 27,
"time": "2025-11-04T17:00Z",
"waveDir": 177,
"wavePeriod": 7.5,
"windWaveDir": 168,
"windWavePeriod": 2.9,
"windWaveSigHeight": 0.39
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"peak1DSpectraPeriod": {
"type": "number",
"example": 9.8,
"description": "Peak wave period, of 1D spectra, in seconds, ≥ 0"
},
"seaTemp": {
"type": "number",
"example": 27,
"description": "Sea temperature"
},
"sigSwellHeight": {
"type": "number",
"example": 1.13,
"description": "Significant swell wave height, in metres, ≥ 0"
},
"sigWaveHeight": {
"type": "number",
"example": 1.19,
"description": "Significant wave height, in metres"
},
"swellDir": {
"type": "number",
"example": 178,
"description": "The direction where total swell is coming from, in degrees, 0...360° (0°: from north, 180°: from south)"
},
"swellPeriod": {
"type": "number",
"example": 8.1,
"description": "Mean period of total swell, in seconds"
},
"swimTemp": {
"type": "number",
"example": 27,
"description": "Sea temperature in swimming locations"
},
"time": {
"type": "string",
"example": "2025-11-04T17:00Z",
"description": "ISO 8601 date and time"
},
"waveDir": {
"type": "number",
"example": 177,
"description": "The mean direction where waves are coming from, in degrees"
},
"wavePeriod": {
"type": "number",
"example": 7.5,
"description": "Mean wave period, in seconds"
},
"windWaveDir": {
"type": "number",
"example": 168,
"description": "The mean direction where wind waves are coming from, in degrees"
},
"windWavePeriod": {
"type": "number",
"example": 2.9,
"description": "Period of wind waves, in seconds"
},
"windWaveSigHeight": {
"type": "number",
"example": 0.39,
"description": "Significant height of wind waves, in metres"
}
}
}
}
}
}Success
Daily
Daily marine forecasts.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 7, maximum 15)
tempunitType: stringTemperature unit: "C", "F" (default "C")
GET
/api/v1/marine/forecast/daily/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/marine/forecast/daily/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'200
{
"forecast": [
{
"date": "2025-11-04",
"maxPeak1DSpectraPeriod": 10.3,
"maxSeaTemp": 27,
"maxSigWaveHeight": 1.23,
"maxSwellHeight": 1.17,
"maxSwellPeriod": 8.3,
"maxSwimTemp": 27,
"maxWavePeriod": 7.7,
"maxWindWavePeriod": 3.5,
"maxWindWaveSigHeight": 0.6
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"date": {
"type": "string",
"example": "2025-11-04",
"description": "ISO 8601 date"
},
"maxPeak1DSpectraPeriod": {
"type": "number",
"example": 10.3,
"description": "Maximum peak wave period, of 1D spectra, in seconds, ≥ 0"
},
"maxSeaTemp": {
"type": "number",
"example": 27,
"description": "Maximum sea temperature"
},
"maxSigWaveHeight": {
"type": "number",
"example": 1.23,
"description": "Maximum significant wave height, in metres, ≥ 0"
},
"maxSwellHeight": {
"type": "number",
"example": 1.17,
"description": "Maximum swell wave height, in metres"
},
"maxSwellPeriod": {
"type": "number",
"example": 8.3,
"description": "Maximum period of total swell, in seconds"
},
"maxSwimTemp": {
"type": "number",
"example": 27,
"description": "Maximum sea temperature in swimming locations"
},
"maxWavePeriod": {
"type": "number",
"example": 7.7,
"description": "Maximum wave period, in seconds"
},
"maxWindWavePeriod": {
"type": "number",
"example": 3.5,
"description": "Maximum period of wind waves, in seconds"
},
"maxWindWaveSigHeight": {
"type": "number",
"example": 0.6,
"description": "Maximum significant height of wind waves, in metres"
}
}
}
}
}
}Success